<?php

namespace App\Generated\Controllers\V1_1;

use App\Generated\V1_1\Messages\Partner\LockLikeMeMessage;
use App\Generated\V1_1\Messages\Partner\GetPartnerUserMessage;
use App\Http\Services\V1_1\PartnerService;
use App\Http\Controllers\Controller;
use App\Generated\V1_1\Messages\Partner\SetPartnerSellMessage;
use DB;
use App\Generated\V1_1\Messages\Partner\ThumbPartnerMessage;

class PartnerController extends Controller
{
    public $handler;

    public function __construct(PartnerService $handler)
    {
        $this->handler = $handler;
    }

    public function lockLikeMe(LockLikeMeMessage $message)
    {
        $message->validateInput();
        $this->handler->lockLikeMe($message);
        $message->validateOutput();
        return $message->getResponse();
    }

    public function setPartnerSell(SetPartnerSellMessage $message)
    {
        $message->validateInput();
        $this->handler->setPartnerSell($message);
        $message->validateOutput();
        return $message->getResponse();
    }

    public function thumbPartner(ThumbPartnerMessage $message)
    {
        $message->validateInput();
        $this->handler->thumbPartner($message);
        $message->validateOutput();
        return $message->getResponse();
    }

    public function getPartnerUser(GetPartnerUserMessage $message)
    {
        $message->validateInput();
        $this->handler->getPartnerUser($message);
        $message->validateOutput();
        return $message->getResponse();
    }

}
